# Install python and run this command in terminal: pip install Pillow
from PIL import Image
from random import randrange
import ctypes

# Get display size
size = ctypes.windll.user32.GetSystemMetrics(0), ctypes.windll.user32.GetSystemMetrics(1)
# Generate random values for color
# Color components are integers in the range [0, 255]
red = randrange(256)
green = randrange(256)
blue = randrange(256)
alpha = randrange(256)
# Set location you want the wallpaper to be saved at
# If you delete the wallpaper file Windows will reset the wallpaper at boot
path = 'D:\\Pictures\\Random_Solid_Wallpaper.bmp'
file = open(path, 'wb')
# Create image with ARGB 8 bit format
imagedata = Image.new('RGBA', size, (red, green, blue, alpha))
# Color space is linear RGBA
imagedata.save(file)
file.close()
# Set wallpaper
ctypes.windll.user32.SystemParametersInfoW(20, 0, path, 0)
